Error Installing Microsoft.EntityFrameworkCore v1.1.4

.net c# entity-framework-core visual-studio-2015

Question

I pulled the web app that I'm developing on my local machine from our git, it works perfectly on our development server. However, when I try to access it on my local machine I get:

Could not load file or assembly 'Microsoft.EntityFrameworkCore, Version=1.1.4.0, Culture=neutral, PublicKeyToken=adb9793829ddae60' or one of its dependencies. The system cannot find the file specified.

When I went to the nuget manager in Visual Studio 2015 (My boss is adamant about us staying on Visual Studio 2015), I searched for Microsoft.EntityFrameWorkCore, which I found, changed it to 1.1.4 and then I get the error:

Could not install package 'Microsoft.EntityFrameworkCore 1.1.4'. You are trying to install this package into a project that targets '.NETFramework,Version=v4.5', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the pack author.

Here's the output for when it was downloading:

Attempting to gather dependency information for package 'Microsoft.EntityFrameworkCore.1.1.4' with respect to project 'SkipGenieService', targeting '.NETFramework,Version=v4.5'
Attempting to resolve dependencies for package 'Microsoft.EntityFrameworkCore.1.1.4' with DependencyBehavior 'Lowest'
Resolving actions to install package 'Microsoft.EntityFrameworkCore.1.1.4'
Resolved actions to install package 'Microsoft.EntityFrameworkCore.1.1.4'
Attempting to gather dependency information for package 'Microsoft.EntityFrameworkCore.1.1.4' with respect to project 'PeopleSearch', targeting '.NETFramework,Version=v4.5'
Attempting to resolve dependencies for package 'Microsoft.EntityFrameworkCore.1.1.4' with DependencyBehavior 'Lowest'
Resolving actions to install package 'Microsoft.EntityFrameworkCore.1.1.4'
Resolved actions to install package 'Microsoft.EntityFrameworkCore.1.1.4'
Install failed. Rolling back...
Package 'Microsoft.EntityFrameworkCore.1.1.4' does not exist in project 'SkipGenieService'
Package 'Microsoft.EntityFrameworkCore.1.1.4' does not exist in folder 'C:\Users\<username>\Source\Repos\<project>\packages'
Could not install package 'Microsoft.EntityFrameworkCore 1.1.4'. You are trying to install this package into a project that targets '.NETFramework,Version=v4.5', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.
========== Finished ==========

Any suggestions? I have both of the projects to .Net Framework Version v4.5 but for some reason the download manager doesn't believe it.

1
1
5/29/2018 8:55:13 PM

Popular Answer

Microsoft.EntityFrameworkCore Version 1.1.4 has the following dependencies. Please check.

NETFramework 4.5.1

  • Microsoft.Extensions.Caching.Memory (>= 1.1.1)
  • Microsoft.Extensions.DependencyInjection (>= 1.1.0)
  • Microsoft.Extensions.Logging (>= 1.1.1)
  • NETStandard.Library (>= 1.6.1)
  • Remotion.Linq (>= 2.1.1)
  • System.Collections.Immutable (>= 1.3.0)
  • System.Interactive.Async (>= 3.0.0)

.NETStandard 1.3

  • Microsoft.Extensions.Caching.Memory (>= 1.1.1)
  • Microsoft.Extensions.DependencyInjection (>= 1.1.0)
  • Microsoft.Extensions.Logging (>= 1.1.1)
  • NETStandard.Library (>= 1.6.1)
  • Remotion.Linq (>= 2.1.1)
  • System.Collections.Immutable (>= 1.3.0)
  • System.ComponentModel.Annotations (>= 4.3.0)
  • System.Interactive.Async (>= 3.0.0)
  • System.Linq.Queryable (>= 4.3.0)
0
5/30/2018 5:32:52 AM


Related Questions





Related

Licensed under: CC-BY-SA with attribution
Not affiliated with Stack Overflow
Licensed under: CC-BY-SA with attribution
Not affiliated with Stack Overflow